io.swagger.client.api

## Class CapabilitiesApi

- java.lang.Object
- - io.swagger.client.api.CapabilitiesApi

-     public class CapabilitiesApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CapabilitiesApi()`
    `CapabilitiesApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `canCreateContract(Integer workflowId)` Checks if user can modify user role mappings
    `com.squareup.okhttp.Call` | `canCreateContractAsync(Integer workflowId, ApiCallback<Boolean> callback)` (asynchronously) Checks if user can modify user role mappings
    `com.squareup.okhttp.Call` | `canCreateContractCall(Integer workflowId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for canCreateContract
    `ApiResponse<Boolean>` | `canCreateContractWithHttpInfo(Integer workflowId)` Checks if user can modify user role mappings
    `Capabilities` | `capabilitiesGet()` Checks if user can upload application
    `com.squareup.okhttp.Call` | `capabilitiesGetAsync(ApiCallback<Capabilities> callback)` (asynchronously) Checks if user can upload application
    `com.squareup.okhttp.Call` | `capabilitiesGetCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for capabilitiesGet
    `ApiResponse<Capabilities>` | `capabilitiesGetWithHttpInfo()` Checks if user can upload application
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CapabilitiesApi

          public CapabilitiesApi()

    - #### CapabilitiesApi

          public CapabilitiesApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### canCreateContractCall

          public com.squareup.okhttp.Call canCreateContractCall(Integer workflowId,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for canCreateContract
      Parameters:
        `workflowId` - The id of the application (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### canCreateContract

          public Boolean canCreateContract(Integer workflowId)
                                    throws ApiException

      Checks if user can modify user role mappings
      Parameters:
        `workflowId` - The id of the application (required)
      Returns:
        Boolean
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### canCreateContractWithHttpInfo

          public ApiResponse<Boolean> canCreateContractWithHttpInfo(Integer workflowId)
                                                             throws ApiException

      Checks if user can modify user role mappings
      Parameters:
        `workflowId` - The id of the application (required)
      Returns:
        ApiResponse<Boolean>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### canCreateContractAsync

          public com.squareup.okhttp.Call canCreateContractAsync(Integer workflowId,
                                                                 ApiCallback<Boolean> callback)
                                                          throws ApiException

      (asynchronously) Checks if user can modify user role mappings
      Parameters:
        `workflowId` - The id of the application (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### capabilitiesGetCall

          public com.squareup.okhttp.Call capabilitiesGetCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for capabilitiesGet
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### capabilitiesGet

          public Capabilities capabilitiesGet()
                                       throws ApiException

      Checks if user can upload application
      Returns:
        Capabilities
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### capabilitiesGetWithHttpInfo

          public ApiResponse<Capabilities> capabilitiesGetWithHttpInfo()
                                                                throws ApiException

      Checks if user can upload application
      Returns:
        ApiResponse<Capabilities>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### capabilitiesGetAsync

          public com.squareup.okhttp.Call capabilitiesGetAsync(ApiCallback<Capabilities> callback)
                                                        throws ApiException

      (asynchronously) Checks if user can upload application
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.